Skip to main content
GET
Describe an Attribute

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

attribute
string
required

Directory Attribute ID

Response

DirectoryAttributeDetailedResponseData

id
string
required
Example:

"dratr_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the directory attribute

Available options:
staged,
active,
expiring,
expired,
deactivated
Example:

"active"

type
enum<string>
required

The type of the directory attribute

Available options:
integration,
ruleset,
catch
Example:

"integration"

name
string | null
required

The name of the attribute

Example:

"Engineering"

handle
string | null
required

The handle of the attribute

Example:

"eng"

blueprint_signature
string | null
required

If this Attribute is generated from a Blueprint, this is the signature of the blueprint when it is created. This allows tracking of which attributes were created from which blueprint version, while allowing the handle and name to be renamed to a more descriptive name based on business needs

Examples:

"{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}"

"bbbb-dddd-aaaa-rrrr"

profile_value
string | null
required

The raw value of the attribute from the Vendor API

Example:

"Engineering"

timestamp
TimestampStateData · object
required

The timestamps for the attribute record

count
object
required

Counts of related resources

included
string[]
required

Included related resources.

attribute_successor: DirectoryAttributeSummaryResponseData|null, attribute_predecessors: array|null integration: IntegrationSummaryResponseData|null, directory_dimension: DirectoryDimensionSummaryResponseData|null, policy_ruleset: PolicyRulesetSummaryResponseData|null, policy_rules: array|null, }

Minimum array length: 1

API hyperlinks related to the attribute record